| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX::Exception::Any Class Reference

`#include <AAX_Exception.h>`

Inheritance diagram for AAX::Exception::Any:
[legend]

## Description

Base class for AAX exceptions

This class is defined within the AAX Library and is always handled within the AAX plug-in. Objects of this class are never passed between the plug-in and the AAX host.

The definition of this class may change between versions of the AAX SDK. This class does not include any form of version safety for cross-version compatibility.

Warning
  Do not use multiple inheritance in any sub-classes within the AAX::Exception::Any inheritance tree
  Never pass exceptions across the library boundary to the AAX host

## Public Member Functions
virtual | ~Any ()
template<class C >
| Any (const C &inWhat)
template<class C1 , class C2 , class C3 >
| Any (const C1 &inWhat, const C2 &inFunction, const C3 &inLine)
| Any (const Any &inOther)
Any & | operator= (const Any &inOther)
| AAX_DEFAULT_MOVE_CTOR (Any)
| AAX_DEFAULT_MOVE_OPER (Any)
const std::string & | What () const
const std::string & | Desc () const
const std::string & | Function () const
const std::string & | Line () const

## Constructor & Destructor Documentation

## ◆ ~Any()

virtual AAX::Exception::Any::~Any | ( |  | ) |
| inline virtual

## ◆ Any() [1/3]

template<class C >

AAX::Exception::Any::Any | ( | const C & | inWhat | ) |
| inline explicit

Explicit conversion from a string-like object

## ◆ Any() [2/3]

template<class C1 , class C2 , class C3 >

AAX::Exception::Any::Any | ( | const C1 & | inWhat,
|  | const C2 & | inFunction,
|  | const C3 & | inLine
| ) |  |
| inline explicit

Explicit conversion from a string-like object with function name and line number

## ◆ Any() [3/3]

AAX::Exception::Any::Any | ( | const Any & | inOther | ) |
| inline

## Member Function Documentation

## ◆ operator=()

Any & AAX::Exception::Any::operator= | ( | const Any & | inOther | ) |
| inline

## ◆ AAX_DEFAULT_MOVE_CTOR()

AAX::Exception::Any::AAX_DEFAULT_MOVE_CTOR | ( | Any |  | ) |

## ◆ AAX_DEFAULT_MOVE_OPER()

AAX::Exception::Any::AAX_DEFAULT_MOVE_OPER | ( | Any |  | ) |

## ◆ What()

const std::string & AAX::Exception::Any::What | ( |  | ) | const
| inline

Referenced by AAX::AsString().

Here is the caller graph for this function:

## ◆ Desc()

const std::string & AAX::Exception::Any::Desc | ( |  | ) | const
| inline

## ◆ Function()

const std::string & AAX::Exception::Any::Function | ( |  | ) | const
| inline

## ◆ Line()

const std::string & AAX::Exception::Any::Line | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- AAX_Exception.h